Bug 167207 - xmms too busy when idle
xmms too busy when idle
Product: Fedora
Classification: Fedora
Component: xmms (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2005-08-31 11:10 EDT by Frank Ch. Eigler
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-31 13:51:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Frank Ch. Eigler 2005-08-31 11:10:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
When xmms is not playing music, just sitting around (paused or stopped), it nevertheless sucks up CPU.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Start xmms, but don't ask it to play anything.  Start up top or strace to monitor its activity.

Actual Results:  The sucker uses up lots of CPU (20% of an old P2-266), just sitting there.  strace indicates lots of activity (gettimeofday; checking on /tmp/xmms_USER, inter-thread idle chitchat.

Expected Results:  when idle, it should not use up lots of CPU.  it should not poll so frequently / heavily.

Additional info:

Maybe all this polling activity is also going on when the program is actually decoding/playing stuff.  Its CPU consumption is rather high.
Comment 1 John (J5) Palmieri 2005-08-31 12:02:58 EDT
Thank you for taking time to file a bug report. For fedora core 4 xmms was moved
to extras please file bugs for xmms against Fedora Extras.  Thank you. 
Comment 2 Matthias Saou 2005-08-31 13:06:35 EDT
Hmmm, xmms 1.x is pretty much dead, which is one of the many reasons it has been
moved to Extras, and is kept there only for people who would have really missed
it if it had gone away completely.

This is typically an xmms design or coding issue that would need a non
negligeable amount of work to fix, so I doubt anyone will want to do it.

Have you tried beemp-media-player (bmp)? It's based on xmms, ported to gtk2, and
actively maintained, so even if it suffers from the same problem it has much
higher chances of getting fixed.
Comment 3 Frank Ch. Eigler 2005-08-31 13:51:26 EDT
just tried bmp.  it does not seem to suffer from the same problem,
so I somewhat reluctantly switched over.  (fwiw, gtk2-ness is of
zero value to me).
Comment 4 Matthias Saou 2005-09-01 03:36:36 EDT
Interesting to know (that bmp doesn't have this problem).
About the gtk2-ness being of zero value : If you're using Fedora Core 4, it
probably is since you'll probably already have gtk2 applications running, and no
gtk1 ones, so it will save loading an extra library. Anyway, until xmms2 at
least (which is in _very_ early stage, I tried it last week), bmp is the way to go.

I'll probably be closing this bug as WONTFIX if you don't mind too much.

Note You need to log in before you can comment on or make changes to this bug.